%define upstream_name    Template-Preprocessor-TTML
%define upstream_version 0.0103

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Process command line arguments
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The constructor accepts argv as argument, and is destructible to it. It
returns a results object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}
# See https://wiki.mageia.org/en/Perl_policy#Executables
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.yml MYMETA.yml README TODO
%{_bindir}/ttml
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.300-2.mga6
+ Revision: 1033909
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.10.300-1.mga6
+ Revision: 919521
- update to 0.0103

* Fri Jun 26 2015 shlomif <shlomif> 0.10.200-1.mga6
+ Revision: 844389
- New version 0.0102

* Sun Oct 19 2014 umeabot <umeabot> 0.10.100-5.mga5
+ Revision: 790644
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.10.100-4.mga5
+ Revision: 745192
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.100-3.mga5
+ Revision: 686352
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.10.100-2.mga5
+ Revision: 582056
- Make the sha-bang permanent

* Tue Feb 04 2014 shlomif <shlomif> 0.10.100-1.mga5
+ Revision: 582010
- imported package perl-Template-Preprocessor-TTML


* Tue Feb 04 2014 cpan2dist 0.0101-1mga
- initial mageia release, generated with cpan2dist
